## API

### Classes

- [DefaultTreeApplyFilterMethod](../wiki/Class.DefaultTreeApplyFilterMethod)
- [SearchForm](../wiki/Class.SearchForm)
- [TreeComponent](../wiki/Class.TreeComponent)
- [TreeContentDirective](../wiki/Class.TreeContentDirective)
- [TreeDataSource](../wiki/Class.TreeDataSource)

### Interfaces

- [ISearchForm](../wiki/Interface.ISearchForm)
- [TreeApplyFilterParameter](../wiki/Interface.TreeApplyFilterParameter)
- [TreeDataSourceMetadata](../wiki/Interface.TreeDataSourceMetadata)

### Variables

- [RXAP_TREE_CONTENT_EDITABLE_METHOD](../wiki/Variable.RXAP_TREE_CONTENT_EDITABLE_METHOD)
- [RXAP_TREE_DATA_SOURCE_APPLY_FILTER_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_APPLY_FILTER_METHOD)
- [RXAP_TREE_DATA_SOURCE_CHILDREN_REMOTE_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_CHILDREN_REMOTE_METHOD)
- [RXAP_TREE_DATA_SOURCE_ROOT_REMOTE_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_ROOT_REMOTE_METHOD)
- [SearchFormProviders](../wiki/Variable.SearchFormProviders)

### Functions

- [flatTree](../wiki/Function.flatTree)
- [FormFactory](../wiki/Function.FormFactory)
- [isSelectionChange](../wiki/Function.isSelectionChange)
